<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>Parameters3dArrayDialog</class>
 <widget class="QDialog" name="Parameters3dArrayDialog">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>1256</width>
    <height>640</height>
   </rect>
  </property>
  <property name="sizePolicy">
   <sizepolicy hsizetype="Ignored" vsizetype="Ignored">
    <horstretch>0</horstretch>
    <verstretch>0</verstretch>
   </sizepolicy>
  </property>
  <property name="maximumSize">
   <size>
    <width>16777215</width>
    <height>16777215</height>
   </size>
  </property>
  <property name="windowTitle">
   <string>Define Parameters for 3D array</string>
  </property>
  <property name="layoutDirection">
   <enum>Qt::LeftToRight</enum>
  </property>
  <layout class="QGridLayout" name="gridLayout_8">
   <item row="0" column="0">
    <widget class="QScrollArea" name="scrollArea">
     <property name="widgetResizable">
      <bool>true</bool>
     </property>
     <widget class="QWidget" name="scrollAreaWidgetContents_2">
      <property name="geometry">
       <rect>
        <x>0</x>
        <y>0</y>
        <width>1236</width>
        <height>620</height>
       </rect>
      </property>
      <layout class="QGridLayout" name="gridLayout_6">
       <item row="0" column="0">
        <widget class="QTabWidget" name="tabWidget">
         <property name="autoFillBackground">
          <bool>false</bool>
         </property>
         <property name="currentIndex">
          <number>0</number>
         </property>
         <widget class="QWidget" name="tab_3">
          <attribute name="title">
           <string>Define Parameters (3D Static Array)</string>
          </attribute>
          <layout class="QGridLayout" name="gridLayout_4">
           <item row="0" column="0">
            <layout class="QGridLayout" name="gridLayout_2">
             <item row="0" column="0">
              <widget class="QLabel" name="labelLayer_9">
               <property name="sizePolicy">
                <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="text">
                <string> Model Name:</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
               </property>
              </widget>
             </item>
             <item row="0" column="1">
              <widget class="QComboBox" name="cmbModelName">
               <property name="sizePolicy">
                <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="minimumSize">
                <size>
                 <width>90</width>
                 <height>0</height>
                </size>
               </property>
              </widget>
             </item>
             <item row="1" column="0">
              <widget class="QLabel" name="labelLayer_3">
               <property name="sizePolicy">
                <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="text">
                <string>Name of new layer:</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
               </property>
              </widget>
             </item>
             <item row="1" column="1">
              <widget class="QLineEdit" name="lineNewLayerEdit"/>
             </item>
            </layout>
           </item>
           <item row="0" column="1">
            <spacer name="horizontalSpacer">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>308</width>
               <height>20</height>
              </size>
             </property>
            </spacer>
           </item>
           <item row="1" column="0" colspan="2">
            <widget class="QGroupBox" name="tableBox">
             <property name="enabled">
              <bool>true</bool>
             </property>
             <property name="minimumSize">
              <size>
               <width>0</width>
               <height>0</height>
              </size>
             </property>
             <property name="maximumSize">
              <size>
               <width>16777215</width>
               <height>16777215</height>
              </size>
             </property>
             <property name="title">
              <string>Enter parameters</string>
             </property>
             <property name="checkable">
              <bool>true</bool>
             </property>
             <property name="checked">
              <bool>true</bool>
             </property>
             <layout class="QGridLayout" name="gridLayout_3">
              <item row="0" column="0">
               <widget class="QLabel" name="label_4">
                <property name="maximumSize">
                 <size>
                  <width>16777215</width>
                  <height>20</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Name</string>
                </property>
               </widget>
              </item>
              <item row="0" column="1">
               <widget class="QLabel" name="label_5">
                <property name="maximumSize">
                 <size>
                  <width>16777215</width>
                  <height>20</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Package</string>
                </property>
               </widget>
              </item>
              <item row="0" column="2">
               <widget class="QLabel" name="label_6">
                <property name="minimumSize">
                 <size>
                  <width>20</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Type</string>
                </property>
               </widget>
              </item>
              <item row="0" column="3">
               <widget class="QLabel" name="label_7">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>StartValue</string>
                </property>
               </widget>
              </item>
              <item row="0" column="4">
               <widget class="QLabel" name="label_8">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Layer-based</string>
                </property>
               </widget>
              </item>
              <item row="0" column="5">
               <widget class="QLabel" name="label_10">
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Layer</string>
                </property>
               </widget>
              </item>
              <item row="0" column="6">
               <widget class="QLabel" name="label_15">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Use Zones</string>
                </property>
               </widget>
              </item>
              <item row="0" column="7">
               <widget class="QLabel" name="label_16">
                <property name="maximumSize">
                 <size>
                  <width>90</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Zone Layer</string>
                </property>
               </widget>
              </item>
              <item row="0" column="8">
               <widget class="QLabel" name="label_9">
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Zone ID</string>
                </property>
               </widget>
              </item>
              <item row="0" column="9">
               <widget class="QLabel" name="label_11">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Adjustable</string>
                </property>
               </widget>
              </item>
              <item row="0" column="10">
               <widget class="QLabel" name="label_12">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Transform</string>
                </property>
               </widget>
              </item>
              <item row="0" column="11">
               <widget class="QLabel" name="label_17">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Constraints</string>
                </property>
               </widget>
              </item>
              <item row="0" column="12">
               <widget class="QLabel" name="label_18">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Upper</string>
                </property>
               </widget>
              </item>
              <item row="0" column="13">
               <widget class="QLabel" name="label_19">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>Lower</string>
                </property>
               </widget>
              </item>
              <item row="0" column="14">
               <widget class="QLabel" name="label_20">
                <property name="maximumSize">
                 <size>
                  <width>95</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="font">
                 <font>
                  <pointsize>10</pointsize>
                  <strikeout>false</strikeout>
                 </font>
                </property>
                <property name="frameShape">
                 <enum>QFrame::Panel</enum>
                </property>
                <property name="text">
                 <string>PerturbAmount</string>
                </property>
               </widget>
              </item>
              <item row="1" column="0">
               <widget class="QLineEdit" name="txtName_1">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="1" column="1">
               <widget class="QComboBox" name="cmbPackage_1">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">LPF</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="2">
               <widget class="QComboBox" name="cmbType_1">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">HK</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">VKA</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SS</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SY</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="3">
               <widget class="QLineEdit" name="txtValue_1">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="1" column="4">
               <widget class="QComboBox" name="cmbLayBased_1">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="5">
               <widget class="QComboBox" name="cmbLayer_1">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="1" column="6">
               <widget class="QComboBox" name="cmbZoneOption_1">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="7">
               <widget class="QComboBox" name="cmbZoneLayer_1">
                <property name="enabled">
                 <bool>true</bool>
                </property>
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>90</width>
                  <height>0</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="1" column="8">
               <widget class="QComboBox" name="cmbZoneId_1">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="1" column="9">
               <widget class="QComboBox" name="cmbAjust_1">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="10">
               <widget class="QComboBox" name="cmbTransform_1">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="11">
               <widget class="QComboBox" name="cmbConst_1">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="12">
               <widget class="QLineEdit" name="txtUpper_1">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="1" column="13">
               <widget class="QLineEdit" name="txtLower_1">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="1" column="14">
               <widget class="QLineEdit" name="txtPerturbAmt_1">
                <property name="maximumSize">
                 <size>
                  <width>95</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.01</string>
                </property>
               </widget>
              </item>
              <item row="2" column="0">
               <widget class="QLineEdit" name="txtName_2">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="2" column="1">
               <widget class="QComboBox" name="cmbPackage_2">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">LPF</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="2" column="2">
               <widget class="QComboBox" name="cmbType_2">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">HK</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">VKA</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SS</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SY</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="2" column="3">
               <widget class="QLineEdit" name="txtValue_2">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="2" column="4">
               <widget class="QComboBox" name="cmbLayBased_2">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="2" column="5">
               <widget class="QComboBox" name="cmbLayer_2">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="2" column="6">
               <widget class="QComboBox" name="cmbZoneOption_2">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="2" column="7">
               <widget class="QComboBox" name="cmbZoneLayer_2">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>90</width>
                  <height>0</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="2" column="8">
               <widget class="QComboBox" name="cmbZoneId_2">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="2" column="9">
               <widget class="QComboBox" name="cmbAjust_2">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="2" column="10">
               <widget class="QComboBox" name="cmbTransform_2">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="2" column="11">
               <widget class="QComboBox" name="cmbConst_2">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="2" column="12">
               <widget class="QLineEdit" name="txtUpper_2">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="2" column="13">
               <widget class="QLineEdit" name="txtLower_2">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="2" column="14">
               <widget class="QLineEdit" name="txtPerturbAmt_2">
                <property name="maximumSize">
                 <size>
                  <width>95</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.01</string>
                </property>
               </widget>
              </item>
              <item row="3" column="0">
               <widget class="QLineEdit" name="txtName_3">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="3" column="1">
               <widget class="QComboBox" name="cmbPackage_3">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">LPF</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="3" column="2">
               <widget class="QComboBox" name="cmbType_3">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">HK</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">VKA</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SS</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SY</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="3" column="3">
               <widget class="QLineEdit" name="txtValue_3">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="3" column="4">
               <widget class="QComboBox" name="cmbLayBased_3">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string>No</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="3" column="5">
               <widget class="QComboBox" name="cmbLayer_3">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="3" column="6">
               <widget class="QComboBox" name="cmbZoneOption_3">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="3" column="7">
               <widget class="QComboBox" name="cmbZoneLayer_3">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>90</width>
                  <height>0</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="3" column="8">
               <widget class="QComboBox" name="cmbZoneId_3">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="3" column="9">
               <widget class="QComboBox" name="cmbAjust_3">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="3" column="10">
               <widget class="QComboBox" name="cmbTransform_3">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="3" column="11">
               <widget class="QComboBox" name="cmbConst_3">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="3" column="12">
               <widget class="QLineEdit" name="txtUpper_3">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="3" column="13">
               <widget class="QLineEdit" name="txtLower_3">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="3" column="14">
               <widget class="QLineEdit" name="txtPerturbAmt_3">
                <property name="maximumSize">
                 <size>
                  <width>95</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.01</string>
                </property>
               </widget>
              </item>
              <item row="4" column="0">
               <widget class="QLineEdit" name="txtName_4">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="4" column="1">
               <widget class="QComboBox" name="cmbPackage_4">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">LPF</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="4" column="2">
               <widget class="QComboBox" name="cmbType_4">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">HK</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">VKA</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SS</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">SY</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="4" column="3">
               <widget class="QLineEdit" name="txtValue_4">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="4" column="4">
               <widget class="QComboBox" name="cmbLayBased_4">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="4" column="5">
               <widget class="QComboBox" name="cmbLayer_4">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="4" column="6">
               <widget class="QComboBox" name="cmbZoneOption_4">
                <property name="minimumSize">
                 <size>
                  <width>78</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="4" column="7">
               <widget class="QComboBox" name="cmbZoneLayer_4">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>90</width>
                  <height>0</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="4" column="8">
               <widget class="QComboBox" name="cmbZoneId_4">
                <property name="maximumSize">
                 <size>
                  <width>50</width>
                  <height>16777215</height>
                 </size>
                </property>
               </widget>
              </item>
              <item row="4" column="9">
               <widget class="QComboBox" name="cmbAjust_4">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="4" column="10">
               <widget class="QComboBox" name="cmbTransform_4">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="4" column="11">
               <widget class="QComboBox" name="cmbConst_4">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">No</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">Yes</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="4" column="12">
               <widget class="QLineEdit" name="txtUpper_4">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="4" column="13">
               <widget class="QLineEdit" name="txtLower_4">
                <property name="maximumSize">
                 <size>
                  <width>80</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.0</string>
                </property>
               </widget>
              </item>
              <item row="4" column="14">
               <widget class="QLineEdit" name="txtPerturbAmt_4">
                <property name="maximumSize">
                 <size>
                  <width>95</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="text">
                 <string notr="true">0.01</string>
                </property>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
           <item row="2" column="0">
            <widget class="QGroupBox" name="csvBox">
             <property name="sizePolicy">
              <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
               <horstretch>0</horstretch>
               <verstretch>0</verstretch>
              </sizepolicy>
             </property>
             <property name="maximumSize">
              <size>
               <width>770</width>
               <height>250</height>
              </size>
             </property>
             <property name="title">
              <string>Load parameters from CSV</string>
             </property>
             <property name="checkable">
              <bool>true</bool>
             </property>
             <property name="checked">
              <bool>false</bool>
             </property>
             <layout class="QGridLayout" name="gridLayout">
              <item row="0" column="0">
               <widget class="QLabel" name="labelLayer_7">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Preferred" vsizetype="Maximum">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="text">
                 <string>CSV Parameters Table</string>
                </property>
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                </property>
               </widget>
              </item>
              <item row="0" column="1" colspan="3">
               <widget class="QLineEdit" name="txtDirectory">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="text">
                 <string notr="true"/>
                </property>
               </widget>
              </item>
              <item row="0" column="5">
               <widget class="QToolButton" name="toolBrowseButton">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Fixed" vsizetype="Maximum">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="text">
                 <string>Browse...</string>
                </property>
               </widget>
              </item>
              <item row="1" column="0">
               <widget class="QLabel" name="labelLayer_12">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Preferred" vsizetype="Maximum">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="text">
                 <string>Decimal separator</string>
                </property>
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                </property>
               </widget>
              </item>
              <item row="1" column="1">
               <widget class="QComboBox" name="cmb_decsep">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>40</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>40</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="editable">
                 <bool>false</bool>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">.</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">,</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="2">
               <spacer name="horizontalSpacer_4">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
                <property name="sizeHint" stdset="0">
                 <size>
                  <width>40</width>
                  <height>20</height>
                 </size>
                </property>
               </spacer>
              </item>
              <item row="1" column="3">
               <widget class="QLabel" name="labelLayer_13">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Preferred" vsizetype="Maximum">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="text">
                 <string>Column separator</string>
                </property>
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                </property>
               </widget>
              </item>
              <item row="1" column="4">
               <widget class="QComboBox" name="cmb_colsep">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="minimumSize">
                 <size>
                  <width>40</width>
                  <height>0</height>
                 </size>
                </property>
                <property name="maximumSize">
                 <size>
                  <width>40</width>
                  <height>16777215</height>
                 </size>
                </property>
                <property name="editable">
                 <bool>false</bool>
                </property>
                <item>
                 <property name="text">
                  <string notr="true">,</string>
                 </property>
                </item>
                <item>
                 <property name="text">
                  <string notr="true">;</string>
                 </property>
                </item>
               </widget>
              </item>
              <item row="1" column="5">
               <spacer name="horizontalSpacer_5">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
                <property name="sizeHint" stdset="0">
                 <size>
                  <width>40</width>
                  <height>20</height>
                 </size>
                </property>
               </spacer>
              </item>
             </layout>
            </widget>
           </item>
           <item row="3" column="1">
            <widget class="QDialogButtonBox" name="buttonBox">
             <property name="standardButtons">
              <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
             </property>
            </widget>
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="tab_4">
          <attribute name="title">
           <string>Help</string>
          </attribute>
          <layout class="QGridLayout" name="gridLayout_7">
           <item row="0" column="0">
            <widget class="QTextBrowser" name="textBrowser">
             <property name="verticalScrollBarPolicy">
              <enum>Qt::ScrollBarAsNeeded</enum>
             </property>
             <property name="horizontalScrollBarPolicy">
              <enum>Qt::ScrollBarAsNeeded</enum>
             </property>
             <property name="tabChangesFocus">
              <bool>false</bool>
             </property>
             <property name="html">
              <string>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'MS Shell Dlg 2'; font-size:8.25pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:12pt; font-weight:600;&quot;&gt;Help&lt;/span&gt;&lt;/p&gt;
&lt;hr /&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:12pt; font-weight:600;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:10pt; font-style:italic;&quot;&gt;Model Name&lt;/span&gt;&lt;span style=&quot; font-size:10pt;&quot;&gt;: name of the hydrological model&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:10pt; font-style:italic;&quot;&gt;Zone Layer&lt;/span&gt;&lt;span style=&quot; font-size:10pt;&quot;&gt;: MDO of Zones Array&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:10pt; font-style:italic;&quot;&gt;Name of new layer&lt;/span&gt;&lt;span style=&quot; font-size:10pt;&quot;&gt;: name of the 3D Parameters MDO which has to be created&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:10pt;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:10pt;&quot;&gt;For further information, refer to  &lt;/span&gt;&lt;a href=&quot;http://igwmc.mines.edu/freeware/ucode/UCODE_2014_User_Manual-version02.pdf&quot;&gt;&lt;span style=&quot; font-size:8pt; text-decoration: underline; color:#0000ff;&quot;&gt;UCODE_2014 User's Manual&lt;/span&gt;&lt;/a&gt;&lt;span style=&quot; font-size:10pt;&quot;&gt;.&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
             </property>
             <property name="overwriteMode">
              <bool>false</bool>
             </property>
            </widget>
           </item>
          </layout>
          <widget class="QLabel" name="label_3">
           <property name="geometry">
            <rect>
             <x>500</x>
             <y>540</y>
             <width>251</width>
             <height>161</height>
            </rect>
           </property>
           <property name="text">
            <string/>
           </property>
           <property name="pixmap">
            <pixmap>../../../../../../../media/matteo/GIOVANNA/Immagine.png</pixmap>
           </property>
           <property name="scaledContents">
            <bool>true</bool>
           </property>
          </widget>
          <widget class="QLabel" name="label_2">
           <property name="geometry">
            <rect>
             <x>530</x>
             <y>360</y>
             <width>231</width>
             <height>151</height>
            </rect>
           </property>
           <property name="text">
            <string/>
           </property>
           <property name="pixmap">
            <pixmap>../../../../../../../media/matteo/GIOVANNA/Cattura.PNG</pixmap>
           </property>
           <property name="scaledContents">
            <bool>true</bool>
           </property>
          </widget>
          <zorder>label_2</zorder>
          <zorder>label_3</zorder>
          <zorder>textBrowser</zorder>
         </widget>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <tabstops>
  <tabstop>cmbModelName</tabstop>
  <tabstop>cmbZoneLayer_1</tabstop>
  <tabstop>lineNewLayerEdit</tabstop>
  <tabstop>tableBox</tabstop>
  <tabstop>txtName_1</tabstop>
  <tabstop>cmbPackage_1</tabstop>
  <tabstop>cmbType_1</tabstop>
  <tabstop>txtValue_1</tabstop>
  <tabstop>cmbLayBased_1</tabstop>
  <tabstop>cmbLayer_1</tabstop>
  <tabstop>cmbZoneId_1</tabstop>
  <tabstop>cmbAjust_1</tabstop>
  <tabstop>cmbTransform_1</tabstop>
  <tabstop>txtName_2</tabstop>
  <tabstop>cmbPackage_2</tabstop>
  <tabstop>cmbType_2</tabstop>
  <tabstop>txtValue_2</tabstop>
  <tabstop>cmbLayBased_2</tabstop>
  <tabstop>cmbLayer_2</tabstop>
  <tabstop>cmbZoneId_2</tabstop>
  <tabstop>cmbAjust_2</tabstop>
  <tabstop>cmbTransform_2</tabstop>
  <tabstop>txtName_3</tabstop>
  <tabstop>cmbPackage_3</tabstop>
  <tabstop>cmbType_3</tabstop>
  <tabstop>txtValue_3</tabstop>
  <tabstop>cmbLayBased_3</tabstop>
  <tabstop>cmbLayer_3</tabstop>
  <tabstop>cmbZoneId_3</tabstop>
  <tabstop>cmbAjust_3</tabstop>
  <tabstop>cmbTransform_3</tabstop>
  <tabstop>txtName_4</tabstop>
  <tabstop>cmbPackage_4</tabstop>
  <tabstop>cmbType_4</tabstop>
  <tabstop>txtValue_4</tabstop>
  <tabstop>cmbLayBased_4</tabstop>
  <tabstop>cmbLayer_4</tabstop>
  <tabstop>cmbZoneId_4</tabstop>
  <tabstop>cmbAjust_4</tabstop>
  <tabstop>cmbTransform_4</tabstop>
  <tabstop>csvBox</tabstop>
  <tabstop>txtDirectory</tabstop>
  <tabstop>toolBrowseButton</tabstop>
  <tabstop>cmb_decsep</tabstop>
  <tabstop>cmb_colsep</tabstop>
  <tabstop>buttonBox</tabstop>
  <tabstop>textBrowser</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>buttonBox</sender>
   <signal>rejected()</signal>
   <receiver>Parameters3dArrayDialog</receiver>
   <slot>reject()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>1223</x>
     <y>607</y>
    </hint>
    <hint type="destinationlabel">
     <x>598</x>
     <y>451</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>tableBox</sender>
   <signal>clicked(bool)</signal>
   <receiver>csvBox</receiver>
   <slot>setDisabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>212</x>
     <y>387</y>
    </hint>
    <hint type="destinationlabel">
     <x>211</x>
     <y>578</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>csvBox</sender>
   <signal>clicked(bool)</signal>
   <receiver>tableBox</receiver>
   <slot>setDisabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>406</x>
     <y>578</y>
    </hint>
    <hint type="destinationlabel">
     <x>402</x>
     <y>376</y>
    </hint>
   </hints>
  </connection>
 </connections>
 <designerdata>
  <property name="gridDeltaX">
   <number>10</number>
  </property>
  <property name="gridDeltaY">
   <number>10</number>
  </property>
  <property name="gridSnapX">
   <bool>true</bool>
  </property>
  <property name="gridSnapY">
   <bool>true</bool>
  </property>
  <property name="gridVisible">
   <bool>true</bool>
  </property>
 </designerdata>
</ui>
